classification
Title: test_urllib fails
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, gvanrossum
Priority: normal Keywords:

Created on 2008-01-24 23:46 by gvanrossum, last changed 2008-01-26 11:23 by georg.brandl. This issue is now closed.

Messages (3)
msg61657 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-01-24 23:46
FAIL: test_read (__main__.urlopen_HttpTests)
----------------------------------------------------------------------
Traceback (most recent call last):
 File "Lib/test/test_urllib.py", line 130, in test_read
   self.assertEqual(fp.getcode(), 200)
AssertionError: None != 200

It works in the trunk though.

Georg, didn't you touch this last, adding the code-getting API in the
trunk? Perhaps it's a merge glitch?
msg61675 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-25 07:15
I'll fix that this weekend.
msg61707 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-26 11:23
Fixed in r60318 -- one of the changes to urllib didn't survive the merge
to py3k.
History
Date User Action Args
2008-01-26 11:23:48georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg61707
2008-01-25 07:15:57georg.brandlsetassignee: georg.brandl
messages: + msg61675
nosy: + georg.brandl
2008-01-24 23:46:14gvanrossumcreate